Bug 203507 - Can't create project in Samba Remote mode (WindowsXP->Solaris)
Can't create project in Samba Remote mode (WindowsXP->Solaris)
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC Windows XP
: P2 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch2-verified, CR_7099616
: REGRESSION
Depends on: 200656 203636
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-11 13:07 UTC by soldatov
Modified: 2011-10-20 09:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed work around (9.18 KB, patch)
2011-10-13 13:26 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-10-11 13:07:20 UTC
2011-09-29_20-36-08 works nicely
2011-10-07_15-41-05 failed

Can't create project in Samba Remote mode (WindowsXP->Solaris)

org.openide.filesystems.FileStateInvalidException
    at
org.netbeans.modules.masterfs.filebasedfs.fileobjects.RootObjWindows.createFolder(RootObjWindows.java:194)
    at
org.netbeans.modules.masterfs.filebasedfs.fileobjects.RootObj.createFolder(RootObj.java:258)
    at org.openide.filesystems.FileUtil.createFolder(FileUtil.java:864)
    at
org.netbeans.modules.cnd.makeproject.ui.wizards.MakeSampleProjectGenerator.createProjectFromTemplate(MakeSampleProjectGenerator.java:347)
    at
org.netbeans.modules.cnd.makeproject.ui.wizards.MakeSampleProjectGenerator.createProjectFromTemplate(MakeSampleProjectGenerator.java:139)
    at
org.netbeans.modules.cnd.makeproject.api.ProjectGenerator.createProjectFromTemplate(ProjectGenerator.java:388)
    at
org.netbeans.modules.cnd.makeproject.ui.wizards.MakeSampleProjectIterator.instantiate(MakeSampleProjectIterator.java:148)
    at
org.netbeans.modules.cnd.makeproject.ui.wizards.MakeSampleProjectIterator.instantiate(MakeSampleProjectIterator.java:133)
    at
org.openide.loaders.TemplateWizard$InstantiatingIteratorBridge.instantiate(TemplateWizard.java:1019)
    at
org.openide.loaders.TemplateWizard.handleInstantiate(TemplateWizard.java:591)
    at
org.openide.loaders.TemplateWizard.instantiateNewObjects(TemplateWizard.java:412)
    at
org.openide.loaders.TemplateWizardIterImpl.instantiate(TemplateWizardIterImpl.java:256)
    at
org.openide.loaders.TemplateWizardIteratorWrapper.instantiate(TemplateWizardIteratorWrapper.java:168)
    at
org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1548)
    at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1505)
    at org.openide.WizardDescriptor.access$1700(WizardDescriptor.java:137)
[catch] at
org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2099)
    at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
    at
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Alexander Simon 2011-10-12 07:53:38 UTC
Problem is:
- org.openide.filesystems.FileUtil does not initialized FileObjectFactory in FileObjectFactory.AllFactories storage before trying to find root in  FileUtil.createFolder(FileObject folder, String name)
IMHO it should do the RootObjWindows in the method createFolder(final String name).

To reproduce problem IDE should try create file on local file system on mounted drive before any other operations with file system on this drive. For example trying of opening file on this drive results in initializing FileObjectFactory.

Reassign to evaluate. Please evaluate bug ASAP.
Comment 2 Jaroslav Tulach 2011-10-12 09:10:47 UTC
What makes you believe this is a regression?
Comment 3 Alexander Simon 2011-10-12 09:21:55 UTC
(In reply to comment #2)
> What makes you believe this is a regression?
It seems C/C++ anyhow invoked FileObjectFactory.getInstance(final File file) before that results in initializing driver. Now this method is eliminated due last changes in C/C++. So from tester point of view it is a regression.
Comment 4 Jaroslav Tulach 2011-10-12 09:47:22 UTC
Sure, but regression in CND!
Comment 5 Vladimir Voskresensky 2011-10-12 10:02:19 UTC
(In reply to comment #4)
> Sure, but regression in CND!
Sure. I think right approach should be:
create separate IZ against platform that FileUtil.createFolder has different behavior (it's not a regression) and make this regression be blocked by platform's issue
Comment 6 Vladimir Voskresensky 2011-10-12 10:07:06 UTC
Alexander, can you put workaround into our code (call URLMapper which initialize needed factories)
Comment 7 Alexander Simon 2011-10-12 10:20:05 UTC
(In reply to comment #6)
> Alexander, can you put workaround into our code (call URLMapper which
> initialize needed factories)
In 15 places before calling FileUtil.createFolder()?
And 20 places before calling FileUtil.createData()?
Comment 8 Vladimir Voskresensky 2011-10-12 10:27:38 UTC
As I see based on commits from issue#200656 we need to put it only in two places in methods createProjectFromTemplate
Comment 9 Alexander Pepin 2011-10-12 13:40:15 UTC
The same situation occurs when user tries to create local project on Windows not on the system disk (e.g. "D:"). 
The regression appeared in patch 1.
QA believe it should be fixed in patch 2.
Comment 10 soldatov 2011-10-12 13:45:26 UTC
http://forums.netbeans.org/topic42730.html - user with same problem
Comment 11 Vladimir Voskresensky 2011-10-13 08:49:45 UTC
Alexander, please, file P2 against platform and mark as blocker of this issue. Thanks
Comment 12 Leonid Lenyashin 2011-10-13 09:21:09 UTC
Please file corresponding CR (P3)
Comment 13 Alexander Pepin 2011-10-13 09:52:59 UTC
Corresponding CR is 7099616 P3 ide/remote-devel [DD] Can not create a remote project from Windows using system level file sharing (samba).
Comment 14 Vladimir Voskresensky 2011-10-13 10:02:48 UTC
Based on discussion with QA and the fact that some users have faced the issue, we'd like to have it in patch2.
Comment 15 Vladimir Voskresensky 2011-10-13 10:03:38 UTC
Sasha, please, try to workaround the issue on our side.

Thanks
Comment 16 Alexander Simon 2011-10-13 13:26:58 UTC
Created attachment 112000 [details]
proposed work around
Comment 17 Alexander Simon 2011-10-13 13:27:46 UTC
VV: please review patch
Comment 18 Vladimir Voskresensky 2011-10-13 13:45:25 UTC
Please, split it on several patches each addressing particular problem
Comment 19 Alexander Simon 2011-10-13 14:08:38 UTC
Fixed, change sets:
http://hg.netbeans.org/cnd-main/rev/22967fdc6241
- work around of Bug #203636 

http://hg.netbeans.org/cnd-main/rev/30c1ac1af406
- have to fix it to check D&D 

http://hg.netbeans.org/cnd-main/rev/48fa7a9f1ac8
- have to fix it to check terminal actions 

http://hg.netbeans.org/cnd-main/rev/4f03e3ba6706
- have to fix it to check run actions
Comment 20 Vladimir Voskresensky 2011-10-13 16:27:36 UTC
I reviewed and agree with fixes
Comment 21 Alexander Simon 2011-10-14 12:04:36 UTC
Change sets were transplanted on e**f:
22967fdc6241 transplanted to 6c695bde1d46
30c1ac1af406 transplanted to 073a35c7eb8d
4f03e3ba6706 transplanted to a394c232f903

Change set 48fa7a9f1ac8 should be applied in Bug #202853
Comment 22 Quality Engineering 2011-10-14 15:06:43 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/22967fdc6241
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #203507 Can't create project in Samba Remote mode (WindowsXP->Solaris)
- work around of Bug #203636
Comment 23 Alexander Pepin 2011-10-17 13:30:17 UTC
verified in OSS IDE dev build #3410 (20111016)
Comment 25 Quality Engineering 2011-10-17 20:05:10 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/6c695bde1d46
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #203507 Can't create project in Samba Remote mode (WindowsXP->Solaris)
- work around of Bug #203636
(transplanted from 22967fdc62415c91cf63823194a3f11bd679986f)
Comment 26 soldatov 2011-10-20 09:55:21 UTC
verified in Oracle Solaris Studio 12.3 (2011/10/18) build 32.0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo